std::unary_function< _Arg, _Result >(3cxx)

NAME
std::unary_function< _Arg, _Result >

SYNOPSIS

#include <functional>

Inherited by std::_Identity< _Value >, std::_Select1st< pair< const _Key, _Tp > >, and std::pointer_to_unary_function< _Arg, _Result >.

  Public Types

typedef _Arg argument_type
argument_type is the type of the argument
typedef _Result result_type
result_type is the return type

Detailed Description

  template<typename _Arg, typename _Result>
struct std::unary_function< _Arg, _Result >"Helper for defining adaptable unary function objects.

Deprecated
    Deprecated in C++11, no longer in the standard since C++17.

Member Typedef Documentation

  template<typename _Arg , typename _Result > typedef _Arg std::unary_function< _Arg, _Result >::argument_type

argument_type is the type of the argument

  template<typename _Arg , typename _Result > typedef _Result std::unary_function< _Arg, _Result >::result_type

result_type is the return type

Author

Generated automatically by Doxygen for libstdc++ from the source code.